net.dontdrinkandroot.wicketexample.web.component

## Class DateImageResource

- java.lang.Object
- - org.apache.wicket.request.resource.AbstractResource
  - - org.apache.wicket.request.resource.DynamicImageResource
    - - net.dontdrinkandroot.wicketexample.web.component.DateImageResource

All Implemented Interfaces:
  Serializable, org.apache.wicket.request.resource.IResource, org.apache.wicket.util.io.IClusterable

    public class DateImageResource
    extends org.apache.wicket.request.resource.DynamicImageResource

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.wicket.request.resource.AbstractResource

`org.apache.wicket.request.resource.AbstractResource.ResourceResponse, org.apache.wicket.request.resource.AbstractResource.WriteCallback`

### Nested classes/interfaces inherited from interface org.apache.wicket.request.resource.IResource

`org.apache.wicket.request.resource.IResource.Attributes`

### Field Summary

### Fields inherited from class org.apache.wicket.request.resource.AbstractResource

`INTERNAL_HEADERS`

### Constructor Summary

Constructors
Constructor and Description
`DateImageResource()`

### Method Summary

Methods
`protected byte[]` `getImageData(org.apache.wicket.request.resource.IResource.Attributes attributes)`

### Methods inherited from class org.apache.wicket.request.resource.DynamicImageResource

`configureResponse, getFormat, newResourceResponse, setFormat, setLastModifiedTime, toImageData`

### Methods inherited from class org.apache.wicket.request.resource.AbstractResource

`configureCache, flushResponseAfterHeaders, getCachingStrategy, respond, setResponseHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DateImageResource

    public DateImageResource()

### Method Detail

#### getImageData

    protected byte[] getImageData(org.apache.wicket.request.resource.IResource.Attributes attributes)

Specified by:
  `getImageData` in class `org.apache.wicket.request.resource.DynamicImageResource`